#
# Table structure for table 'tx_igjobs_domain_model_position'
#
CREATE TABLE tx_igjobs_domain_model_position (

	is_top_position smallint(5) unsigned DEFAULT '0' NOT NULL,
	title varchar(255) DEFAULT '' NOT NULL,
	subtitle varchar(255) DEFAULT '' NOT NULL,
	position_no varchar(255) DEFAULT '' NOT NULL,
	level_of_employment_from int(11) unsigned DEFAULT '0' NOT NULL,
	level_of_employment_to int(11) unsigned DEFAULT '0' NOT NULL,
	level_of_employment varchar(255) DEFAULT '' NOT NULL,
	region varchar(255) DEFAULT '' NOT NULL,
	external_link varchar(255) DEFAULT '' NOT NULL,
	job_start text,
	description text,
	committment text,
	tasks text,
	requirements text,
	offer text,
	contact_person text,
	application_text smallint(5) unsigned DEFAULT '0' NOT NULL,
	startdate date DEFAULT '0000-00-00',
	enddate date DEFAULT '0000-00-00',
	video int(11) unsigned NOT NULL default '0',
	image int(11) unsigned NOT NULL default '0',
	pdf int(11) unsigned NOT NULL default '0',
	employment int(11) unsigned DEFAULT '0',
	categories int(11) unsigned DEFAULT '0' NOT NULL,
	tags int(11) unsigned DEFAULT '0' NOT NULL,
	location int(11) unsigned DEFAULT '0' NOT NULL,
	path_segment VARCHAR(2048),

);

#
# Table structure for table 'tx_igjobs_domain_model_category'
#
CREATE TABLE tx_igjobs_domain_model_category (

	name varchar(255) DEFAULT '' NOT NULL,
	parent int(11) unsigned DEFAULT '0',

);

#
# Table structure for table 'tx_igjobs_domain_model_tag'
#
CREATE TABLE tx_igjobs_domain_model_tag (

	name varchar(255) DEFAULT '' NOT NULL,

);

#
# Table structure for table 'tx_igjobs_domain_model_application'
#
CREATE TABLE tx_igjobs_domain_model_application (

	gender varchar(255) DEFAULT '' NOT NULL,
	first_name varchar(255) DEFAULT '' NOT NULL,
	last_name varchar(255) DEFAULT '' NOT NULL,
	address varchar(255) DEFAULT '' NOT NULL,
	address_additional varchar(255) DEFAULT '' NOT NULL,
	zip_city varchar(255) DEFAULT '' NOT NULL,
	phone varchar(255) DEFAULT '' NOT NULL,
	mobile varchar(255) DEFAULT '' NOT NULL,
	email varchar(255) DEFAULT '' NOT NULL,
	message text,
	birth_date varchar(255) DEFAULT '' NOT NULL,
	attention_other varchar(255) DEFAULT '' NOT NULL,
	attention int(11) unsigned NOT NULL default '0',
	documents int(11) unsigned NOT NULL default '0',
	application_letter text,
	curriculum_vitae int(11) unsigned NOT NULL default '0',
	job_references int(11) unsigned NOT NULL default '0',
	diplomas int(11) unsigned NOT NULL default '0',
	file1 int(11) unsigned NOT NULL default '0',
	file2 int(11) unsigned NOT NULL default '0',
	file3 int(11) unsigned NOT NULL default '0',
	file4 int(11) unsigned NOT NULL default '0',
	application_letter_file int(11) unsigned NOT NULL default '0',
	position int(11) unsigned DEFAULT '0',

);

#
# Table structure for table 'tx_igjobs_domain_model_employment'
#
CREATE TABLE tx_igjobs_domain_model_employment (

	employment varchar(255) DEFAULT '' NOT NULL,

);

#
# Table structure for table 'tx_igjobs_domain_model_location'
#
CREATE TABLE tx_igjobs_domain_model_location (

	name varchar(255) DEFAULT '' NOT NULL,
	address varchar(255) DEFAULT '' NOT NULL,
	zip varchar(255) DEFAULT '' NOT NULL,
	city varchar(255) DEFAULT '' NOT NULL,
	application_mail varchar(255) DEFAULT '' NOT NULL,
    importname varchar(255) DEFAULT '' NOT NULL,
);

#
# Table structure for table 'tx_igjobs_domain_model_attention'
#
CREATE TABLE tx_igjobs_domain_model_attention (

	name varchar(255) DEFAULT '' NOT NULL,
	show_other_field smallint(5) unsigned DEFAULT '0' NOT NULL,

);

#
# Table structure for table 'tx_igjobs_position_category_mm'
#
CREATE TABLE tx_igjobs_position_category_mm (
	uid_local int(11) unsigned DEFAULT '0' NOT NULL,
	uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid_local,uid_foreign),
	KEY uid_local (uid_local),
	KEY uid_foreign (uid_foreign)
);

#
# Table structure for table 'tx_igjobs_position_location_mm'
#
CREATE TABLE tx_igjobs_position_location_mm (
	uid_local int(11) unsigned DEFAULT '0' NOT NULL,
	uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid_local,uid_foreign),
	KEY uid_local (uid_local),
	KEY uid_foreign (uid_foreign)
);

#
# Table structure for table 'tx_igjobs_position_tag_mm'
#
CREATE TABLE tx_igjobs_position_tag_mm (
	uid_local int(11) unsigned DEFAULT '0' NOT NULL,
	uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid_local,uid_foreign),
	KEY uid_local (uid_local),
	KEY uid_foreign (uid_foreign)
);